--
-- Spritzmittel transportable .lua 
-- Specialization transportable  Fertilizer
--
-- www.LS-Landtechnik.de
-- @author  LS-Landtechnik.de & DarkMichl
-- @date:		25/11/10
-- @version:	v1.0
-- @copyright:	LS-Landtechnik.de  & DarkMichl



Spritzen = {};

function Spritzen.prerequisitesPresent(specializations)
    return true
end;
function Spritzen:load(xmlFile)
    self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger#index"));
	table.insert(g_currentMission, SprayerFillTrigger:new(self.trigger));
end;
function Spritzen:delete()
end;
function Spritzen:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Spritzen:keyEvent(unicode, sym, modifier, isDown)
end;
function Spritzen:update(dt)
end;
function Spritzen:draw()
end;

